Image::Info::TIFF(3)

NAME
Image::Info::TIFF - TIFF support for Image::Info

SYNOPSIS
 use Image::Info qw(image_info dim);

 my $info = image_info("image.tif");
 if (my $error = $info->{error}) {
     die "Can't parse image info: $error\n";
 }
 print $info->{BitPerSample};

 my($w, $h) = dim($info);

DESCRIPTION
This module adds TIFF support for Image::Info.

METHODS

  process_file()
        $info->process_file($source, $options);

Processes one file and sets the found info fields in the $info object.

SEE ALSO
Image::Info

AUTHOR
Jerrad Pierce <belg4mit@mit.edu>/<webmaster@pthbb.org>

Patches and fixes by Ben Wheeler.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.